# Type Alias TableCfg

Fields required to construct a table

type TableCfg = {
constraints?: any[];
description?: string;
fields: FieldCfg[];
has_sync_info?: boolean;
id?: number;
is_user_group?: boolean;
min_role_read: number;
min_role_write: number;
name: string;
ownership_field_id?: number | null;
ownership_formula?: string;
provider_cfg?: any;
provider_name?: string;
versioned?: boolean;
}

- Defined in model-abstracts/abstract_table.ts:23

##### Index

### Properties

constraints?
description?
fields
has_sync_info?
id?
is_user_group?
min_role_read
min_role_write
name
ownership_field_id?
ownership_formula?
provider_cfg?
provider_name?
versioned?

## Properties

### `Optional` constraints

constraints?: any[]

- Defined in model-abstracts/abstract_table.ts:35

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_table.ts:33

### fields

fields: FieldCfg[]

- Defined in model-abstracts/abstract_table.ts:34

### `Optional` has_sync_info

has_sync_info?: boolean

- Defined in model-abstracts/abstract_table.ts:31

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_table.ts:25

### `Optional` is_user_group

is_user_group?: boolean

- Defined in model-abstracts/abstract_table.ts:32

### min_role_read

min_role_read: number

- Defined in model-abstracts/abstract_table.ts:26

### min_role_write

min_role_write: number

- Defined in model-abstracts/abstract_table.ts:27

### name

name: string

- Defined in model-abstracts/abstract_table.ts:24

### `Optional` ownership_field_id

ownership_field_id?: number | null

- Defined in model-abstracts/abstract_table.ts:28

### `Optional` ownership_formula

ownership_formula?: string

- Defined in model-abstracts/abstract_table.ts:29

### `Optional` provider_cfg

provider_cfg?: any

- Defined in model-abstracts/abstract_table.ts:37

### `Optional` provider_name

provider_name?: string

- Defined in model-abstracts/abstract_table.ts:36

### `Optional` versioned

versioned?: boolean

- Defined in model-abstracts/abstract_table.ts:30